## org.apache.cocoon.processor.xsp.library.fp
Class fpError

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.fp.fpError

public class fpError
extends java.lang.Object

Constructor Summary
`fpError(org.w3c.dom.Node cNode, org.w3c.dom.Node eNode, java.lang.String eMessage, java.lang.String eLabel)`

Method Summary
`org.w3c.dom.Node` `getErrorNode(org.w3c.dom.Node rNode)`
`java.lang.String` `getErrorString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### fpError

    public fpError(org.w3c.dom.Node cNode,
                   org.w3c.dom.Node eNode,
                   java.lang.String eMessage,
                   java.lang.String eLabel)

Method Detail

### getErrorString

    public java.lang.String getErrorString()

### getErrorNode

    public org.w3c.dom.Node getErrorNode(org.w3c.dom.Node rNode)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.